Target version:

Resolution:

Description
Hello,

| think about issue templates. Say, one could create a set of templates and use them when creating new issue. Such a template may
have all or some of the fields filled with predefined data. Then users may create real issues faster and with similar data and format.

Par example, 'service request'. This template would be assigned to 'Service' tracker, the description would have some predefined
requisites and so on.

Ivan

Related issues:

Related to Redmine - Feature #5341: Default issue description per tracker basis Closed 2010-04-16
Related to Redmine - Feature #1973: Hierarchical issue templates New 2008-09-30
Related to Redmine - Feature #18428: pre-defined issue subjects New

Related to Redmine - Feature #643: Issue description templates New 2008-02-12
Related to Redmine - Feature #11647: Create Issue Structure Templates New

Has duplicate Redmine - Feature #1138: Issue templates Closed 2008-04-29
History

#1 - 2011-02-16 07:24 - Deon Joubert

- Status changed from New to Resolved

See #5431

#2 - 2011-02-16 07:26 - Deon Joubert
Oeps #5341

#3 - 2012-01-18 14:13 - Terence Mill

There is a plugin for wiki templates. The fetaure is pretty near and code can be reused or even just advanced to it.
Vote for the plugin extension here

#4 - 2012-01-18 14:14 - Terence Mill

BTw. this shall be core feature

#5 - 2012-01-18 14:21 - Etienne Massip
- Category set to Issues

- Status changed from Resolved to New

#6 - 2014-12-02 10:45 - Go MAEDA
- Related to Feature #18428: pre-defined issue subjects added

#7 - 2016-09-07 14:31 - Toshi MARUYAMA
- Has duplicate Feature #1138: Issue templates added
https://www.redmine.org/issues/5431
https://www.redmine.org/issues/5341
https://github.com/generaldesoftware/RedMine-plantillas-plugin/issues/2

#8 - 2016-09-07 15:11 - Toshi MARUYAMA

- Related to Feature #643: Issue description templates added

#9 - 2016-09-07 15:11 - Toshi MARUYAMA
- Related to Feature #11647: Create Issue Structure Templates added

#10 - 2017-01-25 15:41 - lvan Cenov

- Status changed from New to Resolved

There is a plugin, https:/github.com/akiko-pusu/redmine_issue_templates which is enough good.

Please close this issue.

#11 - 2017-02-03 10:18 - Go MAEDA

- Status changed from Resolved to New

"Resolved" status is used by committers.
And | think that this issue should be kept open because it would be great if the feature is included in Redmine core.

#12 - 2017-02-03 15:53 - Akiko Takano

+1
Hi, all, and thank you so much to all the contributions to the long term success of Redmine.
I've been maintaining tiny plugin introduced above, but personally, | think it would be so nice if this feature is implemented in Redmine itself :)

#13 - 2020-06-03 10:31 - Ryoh HAMADA

+1

#14 - 2022-05-29 19:52 - lvan Cenov

The plugin https:/github.com/akiko-pusu/redmine_issue_templates is already archived .... so it would be great to have its functionality in the core
Redmine....

#15 - 2022-05-30 07:25 - Rolf Fischer

+1

#16 - 2022-05-30 07:56 - Takashi Kato

Agileware has taken over redmine_issue_templates plugin(Redmine5.0 supported).
please see https:/github.com/agileware-jp/redmine_issue_templates

#17 - 2022-06-10 11:49 - VD DV

+1
Please integrate this plugin to Redmine core.
